phpunit-environment (9.3.0-1) experimental; urgency=medium

  * Upload new minor to experimental

  [ Sebastian Bergmann ]
  * Implement Runtime::getSettingsNotChangeableAtRuntime()
  * Prepare release

  [ David Prévot ]
  * Improve test environment

 -- David Prévot <taffit@debian.org>  Fri, 17 Apr 2026 08:31:12 +0200

phpunit-environment (9.2.0-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Update Standards-Version to 4.7.4

 -- David Prévot <taffit@debian.org>  Thu, 09 Apr 2026 13:43:02 +0200

phpunit-environment (9.1.0-2) unstable; urgency=medium

  * Fix build target (Closes: #1131972)

 -- David Prévot <taffit@debian.org>  Thu, 26 Mar 2026 19:39:26 +0100

phpunit-environment (9.1.0-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Initial work on Host class
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 23 Mar 2026 19:04:14 +0100

phpunit-environment (9.0.1-3) unstable; urgency=medium

  * Allow stderr output for autopkgtests

 -- David Prévot <taffit@debian.org>  Sun, 22 Mar 2026 13:00:09 +0100

phpunit-environment (9.0.1-2) unstable; urgency=medium

  * Don’t apply DEP-8 patch at build time

 -- David Prévot <taffit@debian.org>  Thu, 19 Mar 2026 07:22:25 +0100

phpunit-environment (9.0.1-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Tag refs/tags/9.0.1 is not OpenPGP signed
  * Upgrade upstream signing key to new packet format
  * Mimic install path for tests

 -- David Prévot <taffit@debian.org>  Thu, 19 Mar 2026 06:39:35 +0100

phpunit-environment (9.0.0-2) unstable; urgency=medium

  * Upload to unstable in sync with PHPunit

 -- David Prévot <taffit@debian.org>  Tue, 10 Feb 2026 08:06:58 +0100

phpunit-environment (9.0.0-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Sebastian Bergmann ]
  * Bump copyright year
  * Prepare release

  [ David Prévot ]
  * Convert d/watch to version 5
  * Update Standards-Version to 4.7.3
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Fri, 06 Feb 2026 12:29:32 +0100

phpunit-environment (8.0.3-2) unstable; urgency=medium

  * Upload to unstable in sync with PHPunit
  * Remove Rules-Requires-Root

 -- David Prévot <taffit@debian.org>  Mon, 29 Sep 2025 08:08:40 +0200

phpunit-environment (8.0.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Markus Staab ]
  * Turn Runtime->isOpcacheActive() public

 -- David Prévot <taffit@debian.org>  Fri, 15 Aug 2025 11:17:52 +0200

phpunit-environment (8.0.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Take Xdebug mode into account for Runtime::canCollectCodeCoverage()
  * Prepare release

  [ PCF ]
  * fix second stty call in Console::getNumberOfColumnsInteractive

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Thu, 22 May 2025 18:44:34 +0200

phpunit-environment (8.0.0-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Sebastian Bergmann ]
  * Bump copyright year
  * Prepare release

  [ David Prévot ]
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Fri, 07 Feb 2025 19:29:19 +0100

phpunit-environment (7.2.0-3) unstable; urgency=medium

  * Source-only upload for testing migration

 -- David Prévot <taffit@debian.org>  Fri, 10 Jan 2025 12:21:20 +0100

phpunit-environment (7.2.0-2) unstable; urgency=medium

  * Upload to unstable in sync with PHPUnit 11

 -- David Prévot <taffit@debian.org>  Fri, 10 Jan 2025 09:48:02 +0100

phpunit-environment (7.2.0-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Use PHPStan instead of Psalm
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 08 Jul 2024 10:26:44 +0200

phpunit-environment (7.2.0~git20240323-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Remove unused code and deprecate Runtime::getBinary() as well as
    Runtime::getRawBinary() (Closes: #1071081)

  [ David Prévot ]
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Tue, 14 May 2024 20:17:53 +0200

phpunit-environment (7.1.0-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Markus Staab ]
  * Added Runtime->getRawBinary()

 -- David Prévot <taffit@debian.org>  Thu, 28 Mar 2024 09:03:26 +0000

phpunit-environment (7.0.0-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Start development of next major version
  * Bump copyright year
  * Prepare release

  [ David Prévot ]
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Sat, 03 Feb 2024 17:08:02 +0100

phpunit-environment (6.0.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Joan Miquel ]
  * Add validation to opcache.jit_buffer_size
  * Changed to '0'

  [ Joanhey ]
  * Fix jit

  [ David Prévot ]
  * Set upstream metadata fields: Security-Contact.

 -- David Prévot <taffit@debian.org>  Wed, 12 Apr 2023 13:41:41 +0200

phpunit-environment (6.0.0-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Sebastian Bergmann ]
  * Drop support for PHP 8.0
  * Reformat so that tools recognize the license
  * Bump copyright year
  * Prepare release

  [ David Prévot ]
  * Revert "Track version 5 for now (Bookworm?)"
  * Update copyright (years and license)
  * Ship upstream security notice
  * Use phpunit 10 for tests

 -- David Prévot <taffit@debian.org>  Fri, 03 Feb 2023 16:54:26 +0100

phpunit-environment (5.1.5-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Track version 5 for now (Bookworm?)
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Fri, 03 Feb 2023 15:54:40 +0100

phpunit-environment (5.1.4-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Simplify gbp import-orig (and check signature)
  * Install /u/s/pkg-php-tools/{autoloaders,overrides} files
  * Update copyright (years)
  * Use dh-sequence-phpcomposer instead of --with phpcomposer
  * Mark package as Multi-Arch: foreign
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Mon, 20 Jun 2022 11:53:11 +0200

phpunit-environment (5.1.3-2) unstable; urgency=medium

  * Upload to unstable in sync with PHPUnit 9
  * Update watch file format version to 4.
  * Update Standards-Version to 4.5.1

 -- David Prévot <taffit@debian.org>  Sun, 20 Dec 2020 14:27:50 -0400

phpunit-environment (5.1.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Rename main branch to debian/latest (DEP-14)
  * Set Rules-Requires-Root: no.

 -- David Prévot <taffit@debian.org>  Wed, 30 Sep 2020 11:30:13 -0400

phpunit-environment (5.1.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Ignore tests etc. from archive exports
  * Support PHP 8 for https://github.com/sebastianbergmann/phpunit/issues/4325
  * Prepare release

  [ David Prévot ]
  * Document gbp import-ref usage
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test
  * Use debian/clean instead of override_dh_auto_clean

 -- David Prévot <taffit@debian.org>  Sun, 28 Jun 2020 14:02:48 -1000

phpunit-environment (5.1.0-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 15 Apr 2020 09:39:56 -1000

phpunit-environment (5.0.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sat, 04 Apr 2020 09:56:29 -1000

phpunit-environment (5.0.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prioritize PCOV over Xdebug when both extensions are loaded
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 23 Feb 2020 11:09:42 -1000

phpunit-environment (5.0.0-1) experimental; urgency=medium

  * Upload version compatible with PHPUnit 9 to experimental

  [ Sebastian Bergmann ]
  * Bump copyright year
  * Drop support for PHP 7.1 and PHP 7.2
  * Prepare release

  [ David Prévot ]
  * debian/copyright: Update copyright (years)
  * debian/upstream/metadata:
    set fields Bug-Database, Bug-Submit, Repository, Repository-Browse
  * debian/control: Update standards version to 4.5.0

 -- David Prévot <taffit@debian.org>  Fri, 07 Feb 2020 19:33:57 -1000

phpunit-environment (4.2.3-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * debian/upstream/metadata:
    - Set upstream metadata fields: Repository
    - Remove obsolete fields Name, Contact
  * debian/control:
    - Drop versioned dependency satisfied in (old)stable
    - Update standards version to 4.4.1

 -- David Prévot <taffit@debian.org>  Wed, 20 Nov 2019 22:07:43 -1000

phpunit-environment (4.2.2-2) unstable; urgency=medium

  * Upload to unstable now that buster has been released
  * Update standards version, no changes needed.
  * Add missing colon in closes line.
  * Set upstream metadata fields: Contact, Name.
  * Extend d/clean for PHPUnit 8

 -- David Prévot <taffit@debian.org>  Mon, 12 Aug 2019 09:12:21 -1000

phpunit-environment (4.2.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Update ChangeLog

 -- David Prévot <taffit@debian.org>  Wed, 08 May 2019 20:50:17 -1000

phpunit-environment (4.2.1-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sat, 04 May 2019 12:19:55 -1000

phpunit-environment (4.1.0-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Update copyright (years)
  * Use debhelper-compat 12
  * Update Standards-Version to 4.3.0

 -- David Prévot <taffit@debian.org>  Fri, 01 Feb 2019 11:21:49 -1000

phpunit-environment (4.0.1-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Move project repository to salsa.d.o
  * Use debhelper-compat 11
  * Drop get-orig-source target
  * Use https in Format
  * Use Standards-Version 4.2.1
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Mon, 26 Nov 2018 17:15:04 -1000

phpunit-environment (3.1.0-2) unstable; urgency=medium

  * Upload to unstable, with the rest of the latest PHPUnit stack
  * Update Standards-Version to 4.1.1

 -- David Prévot <taffit@debian.org>  Sat, 25 Nov 2017 14:37:19 -1000

phpunit-environment (3.1.0-1) experimental; urgency=medium

  * Upload version only compatible with latest PHPUnit to experimental

  [ Sebastian Bergmann ]
  * Update ChangeLog
  * Prepare release

  [ David Prévot ]
  * Update copyright (years)
  * Don’t use default upstream build system
  * Update Standards-Version to 4.1.0

 -- David Prévot <taffit@debian.org>  Tue, 22 Aug 2017 15:39:40 -1000

phpunit-environment (1.3.7-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Closes: #16 (Warnings are thrown for shell_exec)

 -- David Prévot <taffit@debian.org>  Fri, 20 May 2016 08:39:44 -0400

phpunit-environment (1.3.6-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Use HTTPS

  [ David Prévot ]
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Wed, 04 May 2016 08:51:55 -0400

phpunit-environment (1.3.5-2) unstable; urgency=medium

  * Use https in Vcs-* fields
  * Rebuild with pkg-php-tools >= 1.32 for the PHP 7.0 transition

 -- Prach Pongpanich <prach@debian.org>  Sun, 06 Mar 2016 15:48:29 +0700

phpunit-environment (1.3.5-1) unstable; urgency=medium

  [ Richard Quadling ]
  * Detect Windows terminals wider than 79 characters

  [ David Prévot ]
  * Update Standards-Version to 3.9.7

 -- David Prévot <taffit@debian.org>  Fri, 26 Feb 2016 15:21:50 -0400

phpunit-environment (1.3.3-1) unstable; urgency=medium

  [ Christophe Coevoet ]
  * Add support for Mintty when detecting color support on Windows

 -- David Prévot <taffit@debian.org>  Sat, 05 Dec 2015 16:14:43 -0400

phpunit-environment (1.3.2-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Fix CS/WS issues
  * Add support for PHPDBG

 -- David Prévot <taffit@debian.org>  Sun, 25 Oct 2015 12:23:10 -0400

phpunit-environment (1.2.2-2) unstable; urgency=medium

  * Upload to unstable since Jessie is released

 -- David Prévot <taffit@debian.org>  Wed, 15 Apr 2015 23:43:40 -0400

phpunit-environment (1.2.2-1) experimental; urgency=medium

  [ Henrique Moody ]
  * Update license and copyright in all files

  [ David Prévot ]
  * Update copyright years
  * Simplify tests call with --bootstrap from phpunit

 -- David Prévot <taffit@debian.org>  Fri, 03 Apr 2015 11:37:59 -0400

phpunit-environment (1.2.1-2) experimental; urgency=medium

  * Provide autoload.php

 -- David Prévot <taffit@debian.org>  Tue, 10 Feb 2015 19:17:52 -0400

phpunit-environment (1.2.1-1) experimental; urgency=medium

  * Upload to experimental to respect the freeze

  [ Sebastian Bergmann ]
  * Make sure we have a tty before using stty
  * Make sure we have STDIN and STDOUT before using them

 -- David Prévot <taffit@debian.org>  Sat, 06 Dec 2014 17:32:03 -0400

phpunit-environment (1.2.0-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Skip test because of #5 for now
  * Add Console::getNumberOfColumns()

  [ David Prévot ]
  * Drop patch applied upstream

 -- David Prévot <taffit@debian.org>  Sat, 25 Oct 2014 14:38:43 -0400

phpunit-environment (1.1.0-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Add Console::hasColorSupport()

 -- David Prévot <taffit@debian.org>  Tue, 07 Oct 2014 21:14:32 -0400

phpunit-environment (1.0.1-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Update composer.json

  [ David Prévot ]
  * Add a get-orig-source target

 -- David Prévot <taffit@debian.org>  Mon, 06 Oct 2014 18:44:43 -0400

phpunit-environment (1.0.0-2) unstable; urgency=medium

  * Fix source and homepage URLs
  * No tests if DEB_BUILD_OPTIONS contains nocheck
  * Use phpab instead of homemade autoload
  * Bump standard version to 3.9.6

 -- David Prévot <taffit@debian.org>  Wed, 01 Oct 2014 18:25:17 -0400

phpunit-environment (1.0.0-1) unstable; urgency=low

  * Initial Release (Closes: #745859)

 -- David Prévot <taffit@debian.org>  Fri, 25 Apr 2014 17:42:21 -0400
